VTK: vtkFunctionSet Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkFunctionSet Class Reference

Abstract interface for sets of functions. More...

`#include <vtkFunctionSet.h>`

Inheritance diagram for vtkFunctionSet:
[legend]
Collaboration diagram for vtkFunctionSet:
[legend]

## Public Types
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkFunctionSet * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual int | FunctionValues (double *x, double *f)
| Evaluate functions at x_j. More...
virtual int | FunctionValues (double *x, double *f, void *vtkNotUsed(userData))
virtual int | GetNumberOfFunctions ()
| Return the number of functions. More...
virtual int | GetNumberOfIndependentVariables ()
| Return the number of independent variables. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkFunctionSet * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkFunctionSet ()
| ~vtkFunctionSet () override=default
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
int | NumFuncs
int | NumIndepVars
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

Abstract interface for sets of functions.

vtkFunctionSet specifies an abstract interface for set of functions of the form F_i = F_i(x_j) where F (with i=1..m) are the functions and x (with j=1..n) are the independent variables. The only supported operation is the function evaluation at x_j.

See also
  vtkImplicitDataSet vtkCompositeInterpolatedVelocityField vtkAMRInterpolatedVelocityField vtkInitialValueProblemSolver

Definition at line 24 of file vtkFunctionSet.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkObject vtkFunctionSet::Superclass

Definition at line 27 of file vtkFunctionSet.h.

## Constructor & Destructor Documentation

## ◆ vtkFunctionSet()

vtkFunctionSet::vtkFunctionSet | ( |  | ) |
| protected

## ◆ ~vtkFunctionSet()

vtkFunctionSet::~vtkFunctionSet | ( |  | ) |
| overrideprotecteddefault

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkFunctionSet::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkFunctionSet::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

Reimplemented in vtkTemporalInterpolatedVelocityField, vtkLagrangianMatidaIntegrationModel, vtkLagrangianBasicIntegrationModel, vtkInterpolatedVelocityField, vtkCompositeInterpolatedVelocityField, vtkCellLocatorInterpolatedVelocityField, vtkCachingInterpolatedVelocityField, vtkAMRInterpolatedVelocityField, vtkAbstractInterpolatedVelocityField, and vtkGenericInterpolatedVelocityField.

## ◆ SafeDownCast()

static vtkFunctionSet* vtkFunctionSet::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkFunctionSet::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented in vtkTemporalInterpolatedVelocityField, vtkLagrangianMatidaIntegrationModel, vtkLagrangianBasicIntegrationModel, vtkInterpolatedVelocityField, vtkCompositeInterpolatedVelocityField, vtkCellLocatorInterpolatedVelocityField, vtkCachingInterpolatedVelocityField, vtkAMRInterpolatedVelocityField, vtkAbstractInterpolatedVelocityField, and vtkGenericInterpolatedVelocityField.

## ◆ NewInstance()

vtkFunctionSet* vtkFunctionSet::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkFunctionSet::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

Reimplemented in vtkTemporalInterpolatedVelocityField, vtkLagrangianMatidaIntegrationModel, vtkLagrangianBasicIntegrationModel, vtkInterpolatedVelocityField, vtkCompositeInterpolatedVelocityField, vtkCellLocatorInterpolatedVelocityField, vtkCachingInterpolatedVelocityField, vtkAMRInterpolatedVelocityField, and vtkAbstractInterpolatedVelocityField.

## ◆ FunctionValues() [1/2]

virtual int vtkFunctionSet::FunctionValues | ( | double * | x,
|  | double * | f
| ) |  |
| inlinevirtual

Evaluate functions at x_j.

x and f have to point to valid double arrays of appropriate sizes obtained with GetNumberOfFunctions() and GetNumberOfIndependentVariables. If you inherit this class, make sure to reimplement at least one of the two FunctionValues signatures.

Reimplemented in vtkTemporalInterpolatedVelocityField, vtkAbstractInterpolatedVelocityField, vtkCompositeInterpolatedVelocityField, vtkCachingInterpolatedVelocityField, vtkAMRInterpolatedVelocityField, and vtkGenericInterpolatedVelocityField.

Definition at line 38 of file vtkFunctionSet.h.

## ◆ FunctionValues() [2/2]

virtual int vtkFunctionSet::FunctionValues | ( | double * | x,
|  | double * | f,
|  | void * | vtkNotUseduserData
| ) |  |
| inlinevirtual

Definition at line 39 of file vtkFunctionSet.h.

## ◆ GetNumberOfFunctions()

virtual int vtkFunctionSet::GetNumberOfFunctions | ( |  | ) |
| inlinevirtual

Return the number of functions.

Note that this is constant for a given type of set of functions and can not be changed at run time.

Definition at line 49 of file vtkFunctionSet.h.

## ◆ GetNumberOfIndependentVariables()

virtual int vtkFunctionSet::GetNumberOfIndependentVariables | ( |  | ) |
| inlinevirtual

Return the number of independent variables.

Note that this is constant for a given type of set of functions and can not be changed at run time.

Definition at line 56 of file vtkFunctionSet.h.

## Member Data Documentation

## ◆ NumFuncs

int vtkFunctionSet::NumFuncs
| protected

Definition at line 62 of file vtkFunctionSet.h.

## ◆ NumIndepVars

int vtkFunctionSet::NumIndepVars
| protected

Definition at line 63 of file vtkFunctionSet.h.

The documentation for this class was generated from the following file:

- Common/Math/vtkFunctionSet.h